<!DOCTYPE html>
<html>
{% load staticfiles %}
    <head>
        <title>28 News</title>
        <meta charset="utf-8">
          <meta name="viewport" content="width=device-width, initial-scale=1">
          <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
          <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
          <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
          <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
          <link rel="stylesheet" type="text/css" href="{% static 'css/form.css' %}" media="all" />
          <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
          <link rel="stylesheet" type="text/css" href="{% static 'css/index.css' %}" />
    <!-- <link rel='stylesheet prefetch' href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,700italic,400italic'> -->
    <link rel='stylesheet prefetch' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css'>
    <link rel="icon" href="https://cdn6.aptoide.com/imgs/5/2/1/52194e86e72ab847573919e201ffbbb8_icon.png?w=240" type="image/x-ico"/>
    </head>

    <body>

    <nav class="navbar navbar-inverse">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand" href="/">28 News</a>
    </div>
    <ul class="nav navbar-nav">
        <li><a href="/">Trang chủ</a></li>
        <li><a href="/topic/561">Thời sự</a></li>
      <li><a href ="/topic/101">Pháp luật</a></li>
      <li><a href ="/topic/970">Thế giới</a></li>
      <li><a href ="/topic/511">Kinh doanh</a></li>
      <li><a href = "/topic/441">Công nghệ</a></li>
      <li><a href = "/topic/749">Thể thao</a></li>
      <li><a href = "/topic/821">Xe 360</a></li>
      <li><a href = "/topic/612">Giải trí</a></li>
      <li><a href = "/topic/933">Âm nhạc</a></li>
        <li><a href = "/topic/165">Tâm sự</a></li>
        <!-- <li><a href = "/topic/686">Ẩm thực</a></li>
        <li><a href = "/topic/708">Khoa học</a></li> -->
    </ul>
    <ul class="nav navbar-nav navbar-right">
        {% block regis_login %}
      <div id="modal_trigger" style ="z-index: 99" href="#" class="btn-login"><i class = "fa fa-sign-in"></i>

                {{username}}

                <div id="modal" class="popupContainer" style="display:none;border: 1px black solid">
                    <header class="popupHeader">
                            <span class="header_title">Login</span>
                            <span class="modal_close" id="modal_close"><i class="fa fa-times"></i></span>
                    </header>

                    <section class="popupBody">
                            <!-- Social Login -->
                            <div class="social_login">
                                    <div class="">

                                            <a href="{% url 'social:begin' 'facebook' %}" class="social_box fb">
                                                    <span class="icon"><i class="fa fa-facebook"></i></span>
                                                    <span class="icon_title">Kết nối bằng Facebook</span>

                                            </a>

                                            <a href="#" class="social_box google">
                                                    <span class="icon"><i class="fa fa-google-plus"></i></span>
                                                    <span class="icon_title">Kết nối bằng Google</span>
                                            </a>
                                    </div>

                                    <div class="centeredText">
                                            <span>Hoặc dùng tài khoản của bạn</span>
                                    </div>

                                    <div class="action_btns">
                                            <div class="one_half"><a href="#" id="login_form" class="btn">Login</a></div>
                                            <div class="one_half last"><a href="#" id="register_form" class="btn">Sign up</a></div>
                                    </div>
                            </div>

                            <!-- Username & Password Login form -->
                            <div class="user_login">

                              <form  method="POST" action="{% url 'user_login' %}">
                                  {% csrf_token %}
                                  {# A more "HTML" way of creating the login form#}
                                  <label for="username">Tên tài khoản:</label>
                                  <input type="text" name="username" placeholder="Tên tài khoản">
                                  <label for="password">Mật khẩu:</label>
                                  <input type="password" name="password" placeholder="Mật khẩu">
                                            <div class="action_btns">
                                                    <div class="one_half"><a href="#" class="btn back_btn"><i class="fa fa-angle-double-left"></i> Back</a></div>
                                                    <div class="one_half last"><input type="submit" class="btn btn_red" value="LogIn"></div>
                                            </div>
                                    </form>

                                    <a href="#" class="forgot_password">Forgot password?</a>
                            </div>

                            <!-- Register Form -->
                            <div class="user_register">

                                <form method="POST" action="{% url 'user_regis' %}">
                                    {% csrf_token %}
                                    {{ form.non_field_errors }}
                                    {% for field in form %}
                                        {% if field.errors %}
                                          <ul class="form-errors">
                                          {% for error in field.errors %}
                                              <li><span class="fa fa-exclamation-triangle"></span> <strong>{{ error|escape }}</strong></li>
                                          {% endfor %}
                                        </ul>
                                        {% endif %}
                                    {{ field.label_tag }} {{ field }}
                                    {% endfor %}

                                      <div class="action_btns">
                                              <div class="one_half"><a href="#" class="btn back_btn"><i class="fa fa-angle-double-left"></i> Back</a></div>
                                              <!-- <div class="one_half last"><a href="#" class="btn btn_red"> Register</a></div> -->
                                              <div class="one_half last"><input type="submit" class="btn btn_red" value="Register"></div>
                                      </div>
                              </form>
                            </div>
                    </section>
            </div>



      </div>
      {% endblock regis_login %}
    </ul>
  </div>
</nav>
    {% block content %}
    {% endblock content %}
    </body>

   <!-- Footer -->
<!-- Footer -->
<footer class="page-footer font-small stylish-color-dark pt-4" style ="z-index:-1">

    <!-- Footer Links -->
    <div class="container text-center text-md-left">

      <!-- Grid row -->
      <div class="row">

        <!-- Grid column -->
        <div class="col-md-4 mx-auto">

          <!-- Content -->
          <h5 class="font-weight-bold text-uppercase mt-3 mb-4">28 News</h5>
          <p> Designed and Implemented by group 28</p>

        </div>
        <!-- Grid column -->

        <hr class="clearfix w-100 d-md-none">

        <!-- Grid column -->
        <div class="col-md-2 mx-auto">

          <!-- Links -->
          <h5 class="font-weight-bold text-uppercase mt-3 mb-4">Contact</h5>

          <ul class="list-unstyled">
            <li>
              <a href="#!">Link 1</a>
            </li>
            <li>
              <a href="#!">Link 2</a>
            </li>
            <li>
              <a href="#!">Link 3</a>
            </li>
            <li>
              <a href="#!">Link 4</a>
            </li>
          </ul>

        </div>
        <!-- Grid column -->

        <hr class="clearfix w-100 d-md-none">

        <!-- Grid column -->
        <div class="col-md-2 mx-auto">

          <!-- Links -->
          <h5 class="font-weight-bold text-uppercase mt-3 mb-4">Product</h5>

          <ul class="list-unstyled">
            <li>
              <a href="#!">Link 1</a>
            </li>
            <li>
              <a href="#!">Link 2</a>
            </li>
            <li>
              <a href="#!">Link 3</a>
            </li>
            <li>
              <a href="#!">Link 4</a>
            </li>
          </ul>

        </div>
        <!-- Grid column -->

        <hr class="clearfix w-100 d-md-none">

        <!-- Grid column -->
        <div class="col-md-2 mx-auto">

          <!-- Links -->
          <h5 class="font-weight-bold text-uppercase mt-3 mb-4">Members</h5>

          <ul class="list-unstyled">
            <li>
              <a href="#!">Link 1</a>
            </li>
            <li>
              <a href="#!">Link 2</a>
            </li>
            <li>
              <a href="#!">Link 3</a>
            </li>
            <li>
              <a href="#!">Link 4</a>
            </li>
          </ul>

        </div>
        <!-- Grid column -->

      </div>
      <!-- Grid row -->

    </div>
    <!-- Footer Links -->

    <hr>

    <!-- Call to action -->
    <ul class="list-unstyled list-inline text-center py-2">
      <li class="list-inline-item">
        <h5 class="mb-1">Register for free</h5>
      </li>
      <li class="list-inline-item">
        <a href="#!" class="btn btn-danger btn-rounded">Sign up!</a>
      </li>
    </ul>
    <!-- Call to action -->

    <hr>

    <!-- Social buttons -->
    <ul class="list-unstyled list-inline text-center">
      <li class="list-inline-item">
        <a class="btn-floating btn-fb mx-1">
          <i class="fab fa-facebook-f"> </i>
        </a>
      </li>
      <li class="list-inline-item">
        <a class="btn-floating btn-tw mx-1">
          <i class="fab fa-twitter"> </i>
        </a>
      </li>
      <li class="list-inline-item">
        <a class="btn-floating btn-gplus mx-1">
          <i class="fab fa-google-plus-g"> </i>
        </a>
      </li>
      <li class="list-inline-item">
        <a class="btn-floating btn-li mx-1">
          <i class="fab fa-linkedin-in"> </i>
        </a>
      </li>
      <li class="list-inline-item">
        <a class="btn-floating btn-dribbble mx-1">
          <i class="fab fa-dribbble"> </i>
        </a>
      </li>
    </ul>
    <!-- Social buttons -->

    <!-- Copyright -->
    <div class="footer-copyright text-center py-3">© 2018 Copyright:
      <a href="https://mdbootstrap.com/education/bootstrap/"> MDBootstrap.com</a>
    </div>
    <!-- Copyright -->

</footer>
<!-- Footer -->
  <!-- Footer -->
<script src="{% static 'js/jquery.min.js' %}"></script>
<script type="text/javascript">

document.getElementById("modal_trigger").onclick = function() {
    document.getElementById("modal").style.display = "block";

};

document.getElementById("modal_close").onclick = function() {
    document.getElementById("modal").style.display = "none";

};

$(".modal_close").click(function() {
      $(".modal").hide();
    // $(".user_login").show();
      return false;
})
// Calling Login Form
$("#login_form").click(function() {
        $(".social_login").hide();
        $(".user_login").show();
        return false;
});

// Calling Register Form
$("#register_form").click(function() {
        $(".social_login").hide();
        $(".user_register").show();
        $(".header_title").text('Register');
        return false;
});

// Going back to Social Forms
$(".back_btn").click(function() {
        $(".user_login").hide();
        $(".user_register").hide();
        $(".social_login").show();
        $(".header_title").text('Login');
        return false;
});

</script>
</html>